%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname octodns_hetzner

Name:           octodns-hetzner
Version:        0.0.2
Release:        1%{?dist}
Summary:        Hetzner DNS provider for octoDNS
License:        MIT
URL:            https://github.com/octodns/%{name}/
Source0:        https://github.com/octodns/%{name}/archive/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_enable_dependency_generator}

%description
An octoDNS provider that targets Hetzner DNS.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname}
An octoDNS provider that targets Hetzner DNS.


%prep
%autosetup -p0 -n octodns-hetzner-%{version}
#sed -i s/'requests>=2.27.0'/'requests>=2.25.1'/ setup.py


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install



%files -n  python%{python3_pkgversion}-%{srcname}
#%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}+unknown-py%{python3_version}.egg-info/


%changelog
* Mon Jun 13 2022 Tim Jackson <rpm@timj.co.uk> 0.0.2-1
- Initial build

